qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (Jira)" <j...@apache.org>
Subject [jira] [Commented] (PROTON-2318) Coverage Travis CI build fails all Ruby tests due to Gem::ConflictError
Date Fri, 08 Jan 2021 06:13:00 GMT

    [ https://issues.apache.org/jira/browse/PROTON-2318?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17261025#comment-17261025
] 

ASF GitHub Bot commented on PROTON-2318:
----------------------------------------

jiridanek commented on pull request #283:
URL: https://github.com/apache/qpid-proton/pull/283#issuecomment-756570503


   Ci looks better than before, Travis Coverage job has passed. I am not completely sure this
is the best I can do, but as far as I understand rubygem version specifiers, this should be
it.


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Coverage Travis CI build fails all Ruby tests due to Gem::ConflictError
> -----------------------------------------------------------------------
>
>                 Key: PROTON-2318
>                 URL: https://issues.apache.org/jira/browse/PROTON-2318
>             Project: Qpid Proton
>          Issue Type: Bug
>          Components: ruby-binding
>    Affects Versions: proton-c-0.33.0
>            Reporter: Jiri Daněk
>            Assignee: Alan Conway
>            Priority: Major
>
> https://travis-ci.com/github/apache/qpid-proton/jobs/462920914#L5354
> {noformat}
> 47: /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/specification.rb:2298:in
`raise_if_conflicts': Unable to activate codecov-0.2.13, because simplecov-0.20.0 conflicts
with simplecov (~> 0.18.0) (Gem::ConflictError)
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/specification.rb:1415:in
`activate'
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems.rb:224:in
`rescue in try_activate'
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems.rb:217:in
`try_activate'
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/core_ext/kernel_require.rb:123:in
`rescue in require'
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/core_ext/kernel_require.rb:34:in
`require'
> 47: 	from /home/travis/build/apache/qpid-proton/ruby/tests/collect_coverage.rb:23:in
`block in <top (required)>'
> 47: 	from /home/travis/.rvm/gems/ruby-2.6.5/gems/docile-1.3.3/lib/docile/execution.rb:26:in
`instance_exec'
> 47: 	from /home/travis/.rvm/gems/ruby-2.6.5/gems/docile-1.3.3/lib/docile/execution.rb:26:in
`exec_in_proxy_context'
> 47: 	from /home/travis/.rvm/gems/ruby-2.6.5/gems/docile-1.3.3/lib/docile.rb:44:in `dsl_eval'
> 47: 	from /home/travis/.rvm/gems/ruby-2.6.5/gems/simplecov-0.20.0/lib/simplecov/configuration.rb:178:in
`configure'
> 47: 	from /home/travis/.rvm/gems/ruby-2.6.5/gems/simplecov-0.20.0/lib/simplecov.rb:303:in
`initial_setup'
> 47: 	from /home/travis/.rvm/gems/ruby-2.6.5/gems/simplecov-0.20.0/lib/simplecov.rb:52:in
`start'
> 47: 	from /home/travis/build/apache/qpid-proton/ruby/tests/collect_coverage.rb:21:in
`<top (required)>'
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in
`require'
> 47: 	from /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in
`require'
> 47: /home/travis/.rvm/rubies/ruby-2.6.5/lib/ruby/site_ruby/2.6.0/rubygems/specification.rb:2298:in
`raise_if_conflicts': Unable to activate codecov-0.2.13, because simplecov-0.20.0 conflicts
with simplecov (~> 0.18.0) (Gem::ConflictError)
> {noformat}



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message